VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   7485
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   6795
   LinkTopic       =   "Form1"
   ScaleHeight     =   7485
   ScaleWidth      =   6795
   StartUpPosition =   3  'Windows Default
   Begin VB.TextBox txtResults 
      Height          =   495
      Left            =   1800
      MultiLine       =   -1  'True
      ScrollBars      =   2  'Vertical
      TabIndex        =   0
      Top             =   1320
      Width           =   1215
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
'By James Hansen
'Astarii@4dv.net
Option Explicit
Private Sub Form_Load()
Dim db_name As String

    db_name = App.Path
    If Right$(db_name, 1) <> "\" Then db_name = db_name & "\"
    txtResults.Text = GetADOInfo(db_name & "books.mdb")
End Sub

Private Function GetADOInfo(Optional ByVal DBPath As String) As String
   Dim txt As String
   Dim iCatalog As Object
   Set iCatalog = CreateObject("ADOX.Catalog")

   '------------------------------------------
   On Error Resume Next
   If Not (FileLen(DBPath) > 0) Then
      'Create a Blank DB.
      'iCatalog.Create "Provider=Microsoft.Jet.OLEDB.3.51;Data Source=" & DBPath
      iCatalog.Create "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" & DBPath
   Else
      iCatalog.ActiveConnection = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source = " & DBPath
   End If
   Err.Clear
   '------------------------------------------

   With iCatalog.ActiveConnection
      txt = txt & vbCrLf & "ADO Version: " & .Version
      txt = txt & vbCrLf & "DBMS Name: " & .Properties("DBMS Name")
      txt = txt & vbCrLf & "DBMS Version: " & .Properties("DBMS Version")
      txt = txt & vbCrLf & "OLE DB Version: " & .Properties("OLE DB Version")
      txt = txt & vbCrLf & "Provider Name: " & .Properties("Provider Name")
      txt = txt & vbCrLf & "Provider Version: " & .Properties("Provider Version")
      txt = txt & vbCrLf & vbCrLf
      txt = txt & vbCrLf & "Driver Name: " & .Properties("Driver Name")
      txt = txt & vbCrLf & "Driver Version: " & .Properties("Driver Version")
      txt = txt & vbCrLf & "Driver ODBC Version: " & .Properties("Driver ODBC Version")
      txt = txt & vbCrLf & vbCrLf
      txt = txt & vbCrLf & "Current Catalog: " & .Properties("Current Catalog")
      txt = txt & vbCrLf & "Reset DataSource: " & .Properties("Reset DataSource")
      txt = txt & vbCrLf & "Active Sessions: " & .Properties("Active Sessions")
      txt = txt & vbCrLf & "Asynchable Commit: " & .Properties("Asynchable Commit")
      txt = txt & vbCrLf & "Catalog Location: " & .Properties("Catalog Location")
      txt = txt & vbCrLf & "Catalog Term: " & .Properties("Catalog Term")
      txt = txt & vbCrLf & "Catalog Usage: " & .Properties("Catalog Usage")
      txt = txt & vbCrLf & "Column definition: " & .Properties("Column definition")
      txt = txt & vbCrLf & "NULL Concatenation Behavior: " & .Properties("NULL Concatenation Behavior")
      txt = txt & vbCrLf & "Data Source Name: " & .Properties("Data Source Name")
      txt = txt & vbCrLf & "Read-Only Data Source: " & .Properties("Read-Only Data Source")
      txt = txt & vbCrLf & "DBMS Name: " & .Properties("DBMS Name")
      txt = txt & vbCrLf & "DBMS Version: " & .Properties("DBMS Version")
      txt = txt & vbCrLf & "GROUP BY Support: " & .Properties("GROUP BY Support")
      txt = txt & vbCrLf & "Heterogeneous Table Support: " & .Properties("Heterogeneous Table Support")
      txt = txt & vbCrLf & "Identifier Case Sensitivity: " & .Properties("Identifier Case Sensitivity")
      txt = txt & vbCrLf & "Maximum Index Size: " & .Properties("Maximum Index Size")
      txt = txt & vbCrLf & "Maximum Row Size: " & .Properties("Maximum Row Size")
      txt = txt & vbCrLf & "Maximum Row Size Includes BLOB: " & .Properties("Maximum Row Size Includes BLOB")
      txt = txt & vbCrLf & "Maximum Tables in SELECT: " & .Properties("Maximum Tables in SELECT")
      txt = txt & vbCrLf & "Multiple Storage Objects: " & .Properties("Multiple Storage Objects")
      txt = txt & vbCrLf & "Multi-Table Update: " & .Properties("Multi-Table Update")
      txt = txt & vbCrLf & "NULL Collation Order: " & .Properties("NULL Collation Order")
      txt = txt & vbCrLf & "OLE Object Support: " & .Properties("OLE Object Support")
      txt = txt & vbCrLf & "ORDER BY Columns in Select List: " & .Properties("ORDER BY Columns in Select List")
      txt = txt & vbCrLf & "Prepare Abort Behavior: " & .Properties("Prepare Abort Behavior")
      txt = txt & vbCrLf & "Prepare Commit Behavior: " & .Properties("Prepare Commit Behavior")
      txt = txt & vbCrLf & "Procedure Term: " & .Properties("Procedure Term")
      txt = txt & vbCrLf & "Provider Name: " & .Properties("Provider Name")
      txt = txt & vbCrLf & "OLE DB Version: " & .Properties("OLE DB Version")
      txt = txt & vbCrLf & "Provider Version: " & .Properties("Provider Version")
      txt = txt & vbCrLf & "Quoted Identifier Sensitivity: " & .Properties("Quoted Identifier Sensitivity")
      txt = txt & vbCrLf & "Schema Term: " & .Properties("Schema Term")
      txt = txt & vbCrLf & "Schema Usage: " & .Properties("Schema Usage")
      txt = txt & vbCrLf & "SQL Support: " & .Properties("SQL Support")
      txt = txt & vbCrLf & "Structured Storage: " & .Properties("Structured Storage")
      txt = txt & vbCrLf & "Subquery Support: " & .Properties("Subquery Support")
      txt = txt & vbCrLf & "Isolation Levels: " & .Properties("Isolation Levels")
      txt = txt & vbCrLf & "Isolation Retention: " & .Properties("Isolation Retention")
      txt = txt & vbCrLf & "Table Term: " & .Properties("Table Term")
      txt = txt & vbCrLf & "User Name: " & .Properties("User Name")
      txt = txt & vbCrLf & "Pass By Ref Accessors: " & .Properties("Pass By Ref Accessors")
      txt = txt & vbCrLf & "Transaction DDL: " & .Properties("Transaction DDL")
      txt = txt & vbCrLf & "Asynchable abort: " & .Properties("Asynchable abort")
      txt = txt & vbCrLf & "Data Source Object Threading Model: " & .Properties("Data Source Object Threading Model")
      txt = txt & vbCrLf & "Output Parameter Availability: " & .Properties("Output Parameter Availability")
      txt = txt & vbCrLf & "Persistent ID Type: " & .Properties("Persistent ID Type")
      txt = txt & vbCrLf & "Multiple Parameter Sets: " & .Properties("Multiple Parameter Sets")
      txt = txt & vbCrLf & "Rowset Conversions on Command: " & .Properties("Rowset Conversions on Command")
      txt = txt & vbCrLf & "Multiple Results: " & .Properties("Multiple Results")
      txt = txt & vbCrLf & "Provider Friendly Name: " & .Properties("Provider Friendly Name")
      txt = txt & vbCrLf & "Connection Status: " & .Properties("Connection Status")
      txt = txt & vbCrLf & "Server Name: " & .Properties("Server Name")
      txt = txt & vbCrLf & "Open Rowset Support: " & .Properties("Open Rowset Support")
      txt = txt & vbCrLf & "Accessible Procedures: " & .Properties("Accessible Procedures")
      txt = txt & vbCrLf & "Accessible Tables: " & .Properties("Accessible Tables")
      txt = txt & vbCrLf & "Integrity Enhancement Facility: " & .Properties("Integrity Enhancement Facility")
      txt = txt & vbCrLf & "Outer Join Capabilities: " & .Properties("Outer Join Capabilities")
      txt = txt & vbCrLf & "Stored Procedures: " & .Properties("Stored Procedures")
      txt = txt & vbCrLf & "Driver Name: " & .Properties("Driver Name")
      txt = txt & vbCrLf & "Driver Version: " & .Properties("Driver Version")
      txt = txt & vbCrLf & "Driver ODBC Version: " & .Properties("Driver ODBC Version")
      txt = txt & vbCrLf & "Like Escape Clause: " & .Properties("Like Escape Clause")
      txt = txt & vbCrLf & "Special characters: " & .Properties("Special characters")
      txt = txt & vbCrLf & "Max Columns in Group By: " & .Properties("Max Columns in Group By")
      txt = txt & vbCrLf & "Max Columns in Index: " & .Properties("Max Columns in Index")
      txt = txt & vbCrLf & "Max Columns in Order By: " & .Properties("Max Columns in Order By")
      txt = txt & vbCrLf & "Max Columns in Select: " & .Properties("Max Columns in Select")
      txt = txt & vbCrLf & "Max Columns in Table: " & .Properties("Max Columns in Table")
      txt = txt & vbCrLf & "Numeric Functions: " & .Properties("Numeric Functions")
      txt = txt & vbCrLf & "SQL Grammar Support: " & .Properties("SQL Grammar Support")
      txt = txt & vbCrLf & "Outer Joins: " & .Properties("Outer Joins")
      txt = txt & vbCrLf & "String Functions: " & .Properties("String Functions")
      txt = txt & vbCrLf & "System Functions: " & .Properties("System Functions")
      txt = txt & vbCrLf & "Time/Date Functions: " & .Properties("Time/Date Functions")
      txt = txt & vbCrLf & "File Usage: " & .Properties("File Usage")
      txt = txt & vbCrLf & "Active Statements: " & .Properties("Active Statements")
      txt = txt & vbCrLf & "Password: " & .Properties("Password")
      txt = txt & vbCrLf & "Persist Security Info: " & .Properties("Persist Security Info")
      txt = txt & vbCrLf & "User id: " & .Properties("User id")
      txt = txt & vbCrLf & "Data Source: " & .Properties("Data Source")
      txt = txt & vbCrLf & "Window Handle: " & .Properties("Window Handle")
      txt = txt & vbCrLf & "Location: " & .Properties("Location")
      txt = txt & vbCrLf & "Mode: " & .Properties("Mode")
      txt = txt & vbCrLf & "Prompt: " & .Properties("Prompt")
      txt = txt & vbCrLf & "Connect Timeout: " & .Properties("Connect Timeout")
      txt = txt & vbCrLf & "Extended Properties: " & .Properties("Extended Properties")
      txt = txt & vbCrLf & "Locale Identifier: " & .Properties("Locale Identifier")
      txt = txt & vbCrLf & "Initial Catalog: " & .Properties("Initial Catalog")
      txt = txt & vbCrLf & "OLE DB Services: " & .Properties("OLE DB Services")
      txt = txt & vbCrLf & "General Timeout: " & .Properties("General Timeout")
      txt = txt & vbCrLf & "Autocommit Isolation Levels: " & .Properties("Autocommit Isolation Levels")
   End With

   GetADOInfo = Mid$(txt, 1 + Len(vbCrLf))
End Function

Private Sub Form_Resize()
    txtResults.Move 0, 0, ScaleWidth, ScaleHeight
End Sub


